------------------------------------------------------------------------------------
--Name:  	baiseqingrenjie4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-02-13
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(360, 394)
CppScriptMgr:SetViewScale(320)
local npc_0 = CppScriptMgr:AddSimplePlayer(1056543, 365, 397, "", 0, 0)
npc_0:SetDir(2)
local npc_1 = CppScriptMgr:AddSimplePlayer(1056875, 356, 393, "", 0, 0)
npc_1:SetDir(6)
local Player_3 = CppScriptMgr:AddSimplePlayer(1056866, 361, 396, "", 0, 0)
Player_3:SetDir(2)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056867, 361, 394, "", 0, 0)
Player_4:SetDir(2)
CppScriptMgr:WaitMilSec(980)
npc_1:SetAction(190)
npc_1:Say("You girls must tidy up the whole house today!", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_0:SetAction(200)
npc_0:Say("OK...", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_1 = CppScriptMgr:AddEffect("newzf2-e280", 356, 393, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(280)
npc_1:SetHide(1)
CppScriptMgr:WaitMilSec(370)
Player_3:SetDir(6)
Player_4:SetDir(6)
CppScriptMgr:WaitMilSec(330)
Player_3:SetAction(101)
Player_3:Say("I didn`t sleep well last night. I got to take a nap now.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_4:Say("I have made a date with my friends to go shopping.", 1500)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(1490)
Player_4:Say("Well, it seems you have to do the cleaning for us.", 1500)
CppScriptMgr:WaitMilSec(1500)
npc_0:Say("But...", 1000)
npc_0:SetAction(170)
CppScriptMgr:WaitMilSec(970)
Player_4:SetAction(160)
Player_4:Say("But? Don`t let me catch you slacking off!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 367, 392, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
npc_0:SetAction(101)
npc_1:SetAction(101)
Player_3:SetAction(101)
Player_4:SetAction(101)
local Player_5 = CppScriptMgr:QueryHero()
Player_5:SetPos(367, 392)
Player_5:SetDir(1)
CppScriptMgr:WaitMilSec(990)
Player_5:SetAction(160)
Player_5:Say("How can you do this to Cinderella?", 1500)
CppScriptMgr:WaitMilSec(1490)
Player_5:SetAction(401)
Player_5:Say("I have to teach a lesson!", 1500)
CppScriptMgr:WaitMilSec(1500)